from django.db import models
from mri_users.models import User
from django.db.models.deletion import SET_NULL


class ActionsLogs(models.Model):
    """
    Log des actions faites dans l'appli
    """
    user = models.ForeignKey(User, blank=True, null=True, on_delete=SET_NULL)
    action = models.CharField('action', max_length=50)
    do_at = models.DateTimeField(auto_now_add=True, db_index=True)
    infos = models.JSONField()
